## GstGLBufferPool

GstGLBufferPool — buffer pool for GstGLMemory objects

## Functions

GstBufferPool * | gst_gl_buffer_pool_new ()
GstGLAllocationParams * | gst_buffer_pool_config_get_gl_allocation_params ()
void | gst_buffer_pool_config_set_gl_allocation_params ()

## Types and Values

| GstGLBufferPool
| GstGLBufferPoolClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstBufferPool
                    ╰── GstGLBufferPool

## Description

a GstGLBufferPool is an object that allocates buffers with GstGLMemory

A GstGLBufferPool is created with `gst_gl_buffer_pool_new()`

GstGLBufferPool implements the VideoMeta buffer pool option GST_BUFFER_POOL_OPTION_VIDEO_META

## Functions

### gst_gl_buffer_pool_new ()

    GstBufferPool *
    gst_gl_buffer_pool_new (GstGLContext *context);

#### Parameters

context | the GstGLContext to use |

#### Returns

a GstBufferPool that allocates buffers with GstGLMemory

### gst_buffer_pool_config_get_gl_allocation_params ()

    GstGLAllocationParams *
    gst_buffer_pool_config_get_gl_allocation_params
                                   (GstStructure *config);

#### Parameters

config | a buffer pool config |

#### Returns

the currently set GstGLAllocationParams or `NULL`.

[transfer full]

### gst_buffer_pool_config_set_gl_allocation_params ()

    void
    gst_buffer_pool_config_set_gl_allocation_params
                                   (GstStructure *config,
                                    GstGLAllocationParams *params);

Sets `params` on `config`

#### Parameters

config | a buffer pool config |
params | a GstGLAllocationParams. | [transfer none]

## Types and Values

### GstGLBufferPool

    typedef struct _GstGLBufferPool GstGLBufferPool;

Opaque GstGLBufferPool struct

### GstGLBufferPoolClass

    typedef struct {
      GstBufferPoolClass parent_class;
    } GstGLBufferPoolClass;

The GstGLBufferPoolClass structure contains only private data

## See Also

GstBufferPool, GstGLMemory